package com.ssj.bean.weixin.sales.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2017年4月24日 上午11:04:05 
 * 类说明   销售的新签和续签提成回扣表
 */
@Entity
@Table(name = "tb_lib_commission")
public class LibCommission  extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2462363418180483058L;
    /**
     * 人员类型 1cd,2 cc 3 cda,4 zb
     */
	private String type;
	private BigDecimal newSign;
	private BigDecimal xSign;
	/**
	 * SSJ总部销售人员，其他代表各个图书馆
	 */
	private String libId;
	private Date createTime;//生成时间
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public BigDecimal getNewSign() {
		return newSign;
	}
	public void setNewSign(BigDecimal newSign) {
		this.newSign = newSign;
	}
	public BigDecimal getxSign() {
		return xSign;
	}
	public void setxSign(BigDecimal xSign) {
		this.xSign = xSign;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
	
	
}
